import request from '@/utils/request'
import Qs from 'qs';

//获取设备列表
export function getDeviceList() {
	return request({
		url: '/mobile/personDeviceLogApi/getDeviceList',
		data: Qs.stringify({}),
		method: 'post',
	})
}

//增加人员
export function addPerson(params) {
	return request({
		url: '/mobile/personInfoApi/add',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取测温记录
export function getTemperatureList(params) {
	return request({
		url: '/mobile/personDeviceLogApi/queryTemperatureRecordListByEnt',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取未测人员列表
export function queryUnmeasureGroupList(params) {
	return request({
		url: '/mobile/PersonDeviceFilterLog/queryUnmeasureGroupList',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取管理员的公司列表
export function getCompanyList(params) {
	return request({
		url: '/mobile/personDeviceLogApi/queryCompanyList',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//切换当前管理的单位
export function switchCompany(params) {
	return request({
		url: '/mobile/personInfoApi/switchCompany',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取考勤统计时段列表
export function getAttednanceTimeList(params) {
	return request({
		url: '/mobile/workAttendance/findAttendancePeriod',
		params: params,
		method: 'get',
	})
}

//获取考勤列表数据
export function getAttednance(params) {
	return request({
		url: '/mobile/workAttendance/workAttendanceStat',
		params: params,
		method: 'get',
	})
}