import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from '$project/store'

//引入mui
import mui from '$project/assets/js/mui.js'
import '$project/assets/css/mui.min.css'
import Vconsole from 'vconsole'

window.mui = mui;
window.mui.init();

if (location.hostname === 'localhost') {
	Vue.prototype.HTTPLOCAT = ''
} else {
	const http = window.location.protocol + '//' + location.hostname + ':' + location.port
	Vue.prototype.HTTPLOCAT = http + ''
}

Vue.config.productionTip = false

import VueDirectiveImagePreviewer from 'vue-directive-image-previewer'
import 'vue-directive-image-previewer/dist/assets/style.css'
Vue.use(VueDirectiveImagePreviewer, {
	background: {
		color: '#000'
	},
	// transition
	animate: {
		duration: 600,
		delay: 500
	},
	// loading (not supported)
	loading: {
		image: ''
	},
	// cursor(css)
	cursor: 'pointer',
	clickMethod: 'doubleClick'
})


router.beforeEach((to, from, next) => {
	if (to.query.test) {
		if (to.query.test == 'test') {
			let vConsole = new Vconsole()
		}
	}

	if (to.meta != null && to.meta.requireAuth) {
		if (store.state.person_data) {
			next();
		} else {
			window.location.href = '../home/#/login';
		}
	} else {
		next();
	}
})

new Vue({
	router,
	store,
	render: h => h(App)
}).$mount('#app')
