const routesCommon = [
	/***公共***/
	{
		path: '/common',
		component: () => import('../views/Layout.vue'),
		children: [
			//消息
			{
				path: 'notice',
				component: () => import('../views/Layout.vue'),
				children: [
					//消息列表
					{
						path: '',
						name: 'CommonNotice',
						component: () => import('../views/Common/Notice/Home.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '消息列表',
						}
					},
					//消息详情
					{
						path: 'info',
						name: 'CommonNoticeInfo',
						component: () => import('../views/Common/Notice/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '消息详情',
						}
					},
				]
			},
			//健康
			{
				path: 'health',
				component: () => import('../views/Layout.vue'),
				children: [
					//健康证
					{
						path: 'cert',
						name: 'CommonHealthCert',
						component: () => import('../views/Common/Health/Cert.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '健康证',
						}
					},
					//测温记录
					{
						path: 'temperatureRecord',
						name: 'CommonHealthTemperatureRecord',
						component: () => import('../views/Common/Health/TemperatureRecord.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '测温记录',
						}
					},
					//测温详情
					{
						path: 'temperatureInfo',
						name: 'CommonHealthTemperatureInfo',
						component: () => import('@/views/Common/Health/TemperatureInfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '测温详情',
						}
					},

				]
			},

		],
	}
]

export default routesCommon
