const routesGuest = [
	/***访客***/
	{
		path: '/guest',
		component: () => import('../views/Layout.vue'),
		children: [
			//访客主页
			{
				path: '',
				name: 'Guest',
				component: () => import('../views/Guest/Home.vue'),
				meta: {
					requireAuth: false,
					role: [],
					title: '访客主页',
				}
			},
			//个人中心
			{
				path: 'center',
				name: 'GuestCenter',
				component: () => import('../views/Guest/Center.vue'),
				meta: {
					requireAuth: false,
					role: [],
					title: '个人中心',
				}
			},
			//修改个人信息
			{
				path: 'editInfo',
				name: 'GuestEditInfo',
				component: () => import('../views/Guest/EditInfo.vue'),
				meta: {
					requireAuth: false,
					role: [],
					title: '修改个人信息',
				}
			},
			//预约
			{
				path: 'appointment',
				component: () => import('../views/Layout.vue'),
				children: [
					//申请记录
					{
						path: 'list',
						name: 'GuestAppointmentList',
						component: () => import('../views/Guest/Appointment/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '预约申请记录',
						}
					},
					//申请详情
					{
						path: 'info',
						name: 'GuestAppointmentInfo',
						component: () => import('../views/Guest/Appointment/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '预约申请详情',
						}
					},
					//申请
					{
						path: 'apply',
						name: 'GuestAppointmentApply',
						component: () => import('../views/Guest/Appointment/Apply.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '预约申请',
						}
					},
					//添加同行人员
					{
						path: 'addPartner',
						name: 'GuestAppointmentAddPartner',
						component: () => import('../views/Guest/Appointment/AddPartner.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '预约添加同行人员',
						}
					},
				]
			},
		],
	}
]

export default routesGuest
