const routesHouseKeeper = [
	/***管家***/
	{
		path: '/houseKeeper',
		component: () => import('../views/Layout.vue'),
		children: [
			//监管端
			{
				path: 'control',
				component: () => import('../views/Layout.vue'),
				children: [
					//监管端主页
					{
						path: '',
						name: 'HouseKeeperControl',
						component: () => import('../views/HouseKeeper/Control/Home.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '监管端主页',
						}
					},
					//个人中心
					{
						path: 'center',
						name: 'HouseKeeperControlCenter',
						component: () => import('../views/HouseKeeper/Control/Center.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '个人中心',
						}
					},
					//消息
					{
						path: 'message',
						name: 'HouseKeeperControlMessage',
						component: () => import('../views/HouseKeeper/Control/Message.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '消息',
						}
					},
					//发送通知
					{
						path: 'sendNotice',
						name: 'HouseKeeperControlSendNotice',
						component: () => import('../views/HouseKeeper/Control/SendNotice.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '发送通知',
						}
					},
					//单位列表
					{
						path: 'companyList',
						name: 'HouseKeeperControlCompanyList',
						component: () => import('../views/HouseKeeper/Control/CompanyList.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '单位列表',
						}
					},
					//健康
					{
						path: 'health',
						component: () => import('../views/Layout.vue'),
						children: [
							//健康公示墙
							{
								path: 'wall',
								name: 'HouseKeeperControlHealthWall',
								component: () => import('../views/HouseKeeper/Control/Health/Wall.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '健康公示',
								}
							},
							//异常统计
							{
								path: 'abnormalStatistics',
								name: 'HouseKeeperControlHealthAbnormalStatistics',
								component: () => import('../views/HouseKeeper/Control/Health/AbnormalStatistics.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '异常统计',
								}
							},
							//职工台账
							{
								path: 'worker',
								name: 'HouseKeeperControlHealthWorker',
								component: () => import('../views/HouseKeeper/Control/Health/Worker.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '职工台账',
								}
							},
							//职工台账详情
							{
								path: 'workerInfo',
								name: 'HouseKeeperControlHealthWorkerInfo',
								component: () => import('../views/HouseKeeper/Control/Health/WorkerInfo.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '职工台账详情',
								}
							},
							//职工测温
							{
								path: 'workerTemperature',
								name: 'HouseKeeperControlHealthWorkerTemperature',
								component: () => import('../views/HouseKeeper/Control/Health/WorkerTemperature.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '职工测温',
								}
							},
							//异常记录
							{
								path: 'abnormalRecord',
								name: 'HouseKeeperControlHealthAbnormalRecord',
								component: () => import('../views/HouseKeeper/Control/Health/AbnormalRecord.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '异常记录',
								}
							},
							//未测人员
							{
								path: 'noTemperatureRecord',
								name: 'HouseKeeperControlHealthNoTemperatureRecord',
								component: () => import('../views/HouseKeeper/Control/Health/NoTemperatureRecord.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '未测人员',
								}
							},
							//访客测温
							{
								path: 'guestTemperature',
								name: 'HouseKeeperControlHealthGuestTemperature',
								component: () => import('../views/HouseKeeper/Control/Health/GuestTemperature.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '访客测温',
								}
							},
						]
					},

					//访客
					{
						path: 'guest',
						component: () => import('../views/Layout.vue'),
						children: [
							//访客记录
							{
								path: '',
								name: 'HouseKeeperControlGuest',
								component: () => import('../views/HouseKeeper/Control/Guest/List.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '访客记录',
								}
							},
							//访客记录详情
							{
								path: 'Info',
								name: 'HouseKeeperControlGuestInfo',
								component: () => import('../views/HouseKeeper/Control/Guest/Info.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '访客记录详情',
								}
							},
						]
					},


				]
			},
			//管理端
			{
				path: 'admin',
				component: () => import('../views/Layout.vue'),
				children: [
					//管理端主页
					{
						path: '',
						name: 'HouseKeeperAdmin',
						component: () => import('../views/HouseKeeper/Admin/Home.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '管理端主页',
						}
					},
					//个人中心
					{
						path: 'center',
						name: 'HouseKeeperAdminCenter',
						component: () => import('../views/HouseKeeper/Admin/Center.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '个人中心',
						}
					},
					//消息
					{
						path: 'message',
						name: 'HouseKeeperAdminMessage',
						component: () => import('../views/HouseKeeper/Admin/Message.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '消息',
						}
					},

					//人员
					{
						path: 'person',
						component: () => import('../views/Layout.vue'),
						children: [
							//添加人员
							{
								path: 'add',
								name: 'HouseKeeperAdminPersonAdd',
								component: () => import('../views/HouseKeeper/Admin/Person/Add.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '添加人员',
								}
							},
							//添加人员选择设备
							{
								path: 'device',
								name: 'HouseKeeperAdminPersonDevice',
								component: () => import('../views/HouseKeeper/Admin/Person/Device.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '添加人员选择设备',
								}
							},
						]
					},

					//健康
					{
						path: 'health',
						component: () => import('../views/Layout.vue'),
						children: [
							//健康档案
							{
								path: 'archives',
								name: 'HouseKeeperAdminlHealthArchives',
								component: () => import('../views/HouseKeeper/Admin/Health/Archives.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '健康档案',
								}
							},
							//测温记录
							{
								path: 'temperatureRecord',
								name: 'HouseKeeperAdminHealthTemperatureRecord',
								component: () => import('../views/HouseKeeper/Admin/Health/TemperatureRecord.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '测温记录',
								}
							},
							//异常记录
							{
								path: 'abnormalRecord',
								name: 'HouseKeeperAdminHealthAbnormalRecord',
								component: () => import('../views/HouseKeeper/Admin/Health/AbnormalRecord.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '异常记录',
								}
							},
							//未测人员
							{
								path: 'noTemperatureRecord',
								name: 'HouseKeeperAdminHealthNoTemperatureRecord',
								component: () => import('../views/HouseKeeper/Admin/Health/NoTemperatureRecord.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '未测人员',
								}
							},
						],
					},

					//考勤
					{
						path: 'attendance',
						component: () => import('../views/Layout.vue'),
						children: [
							//考勤记录列表
							{
								path: 'list',
								name: 'HouseKeeperAdminAttendanceList',
								component: () => import('../views/HouseKeeper/Admin/Attendance/List.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '考勤记录列表',
								}
							},
							//考勤记录测温详情
							{
								path: 'temperatureInfo',
								name: 'HouseKeeperAdminAttendanceTemperatureInfo',
								component: () => import('../views/HouseKeeper/Admin/Attendance/TemperatureInfo.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '考勤记录测温详情',
								}
							},
							//考勤记录补卡详情
							{
								path: 'supplementInfo',
								name: 'HouseKeeperAdminAttendanceSupplementInfo',
								component: () => import('../views/HouseKeeper/Admin/Attendance/SupplementInfo.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '考勤记录补卡详情',
								}
							},
							//考勤记录异地打卡详情
							{
								path: 'outsideInfo',
								name: 'HouseKeeperAdminAttendanceOutsideInfo',
								component: () => import('../views/HouseKeeper/Admin/Attendance/OutsideInfo.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '考勤记录异地打卡详情',
								}
							},
						]
					},

				]
			},

			//门卫物业
			{
				path: 'property',
				component: () => import('../views/Layout.vue'),
				children: [
					//门卫物业主页
					{
						path: '',
						name: 'HouseKeeperProperty',
						component: () => import('../views/HouseKeeper/Property/Home.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '门卫物业主页',
						}
					},
					//个人中心
					{
						path: 'center',
						name: 'HouseKeeperPropertyCenter',
						component: () => import('../views/HouseKeeper/Property/Center.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '个人中心',
						}
					},
					//消息
					{
						path: 'message',
						name: 'HouseKeeperPropertyMessage',
						component: () => import('../views/HouseKeeper/Property/Message.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '消息',
						}
					},
				],
			},

		],
	},
]

export default routesHouseKeeper
