const routesMaster = [
	/***主人***/
	{
		path: '/master',
		component: () => import('../views/Layout.vue'),
		children: [
			//主页
			{
				path: '',
				name: 'Master',
				component: () => import('../views/Master/Home.vue'),
				meta: {
					requireAuth: false,
					role: [],
					title: '主人主页',
				}
			},
			//个人中心
			{
				path: 'center',
				name: 'MasterCenter',
				component: () => import('../views/Master/Center.vue'),
				meta: {
					requireAuth: false,
					role: [],
					title: '个人中心',
				}
			},
			//消息
			{
				path: 'message',
				name: 'MasterMessage',
				component: () => import('../views/Master/Message.vue'),
				meta: {
					requireAuth: false,
					role: [],
					title: '消息',
				}
			},
			//修改个人信息
			{
				path: 'editInfo',
				name: 'MasterEditInfo',
				component: () => import('../views/Master/EditInfo.vue'),
				meta: {
					requireAuth: false,
					role: [],
					title: '修改个人信息',
				}
			},
			//所有功能
			{
				path: 'allFun',
				name: 'MasterAllFun',
				component: () => import('../views/Master/AllFun.vue'),
				meta: {
					requireAuth: false,
					role: [],
					title: '所有功能',
				}
			},
			//手机开门
			{
				path: 'openDoor',
				name: 'MasterOpenDoor',
				component: () => import('../views/Master/OpenDoor.vue'),
				meta: {
					requireAuth: false,
					role: [],
					title: '手机开门',
				}
			},
			//访客
			{
				path: 'guest',
				component: () => import('../views/Layout.vue'),
				children: [
					//访客列表
					{
						path: 'list',
						name: 'MasterGuestList',
						component: () => import('../views/Master/Guest/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '访客列表',
						}
					},
					//邀请访客
					{
						path: 'invitation',
						name: 'MasterGuestInvitation',
						component: () => import('../views/Master/Guest/Invitation.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '访客列表',
						}
					},
					//邀请访客码
					{
						path: 'code',
						name: 'MasterGuestCode',
						component: () => import('../views/Master/Guest/Code.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '邀请访客码',
						}
					},
					//申请详情
					{
						path: 'info',
						name: 'MasterGuestInfo',
						component: () => import('../views/Master/Guest/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
					//同行人员详情
					{
						path: 'partner',
						name: 'MasterGuestPartner',
						component: () => import('../views/Master/Guest/Partner.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '同行人员详情',
						}
					},
				]
			},

			//物业相关
			{
				path: 'property',
				component: () => import('../views/Layout.vue'),
				children: [
					//业主投诉
					{
						path: 'complaint',
						component: () => import('../views/Layout.vue'),
						children: [
							//业主投诉列表
							{
								path: 'list',
								name: 'MasterPropertyComplaintList',
								component: () => import('../views/Master/Property/Complaint/List.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '业主投诉',
								}
							},
							//业主投诉详情
							{
								path: 'info',
								name: 'MasterPropertyComplaintInfo',
								component: () => import('../views/Master/Property/Complaint/Info.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '业主投诉详情',
								}
							},
							//业主投诉表单
							{
								path: 'info',
								name: 'MasterPropertyComplaintForm',
								component: () => import('../views/Master/Property/Complaint/Form.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '业主投诉表单',
								}
							},
						]
					},
					//报事报修
					{
						path: 'repair',
						component: () => import('../views/Layout.vue'),
						children: [
							//报事报修列表
							{
								path: 'list',
								name: 'MasterPropertyRepairList',
								component: () => import('../views/Master/Property/Repair/List.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '报事报修列表',
								}
							},
							//报事报修详情
							{
								path: 'info',
								name: 'MasterPropertyRepairInfo',
								component: () => import('../views/Master/Property/Repair/Info.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '报事报修详情',
								}
							},
							//报事报修表单
							{
								path: 'form',
								name: 'MasterPropertyRepairForm',
								component: () => import('../views/Master/Property/Repair/Form.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '报事报修表单',
								}
							},
						]
					},

					//物业缴费
					{
						path: 'cost',
						component: () => import('../views/Layout.vue'),
						children: [
							//主页
							{
								path: '',
								name: 'MasterPropertyCost',
								component: () => import('../views/Master/Property/Cost/Home.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '物业缴费主页',
								}
							},
							//缴费记录
							{
								path: 'list',
								name: 'MasterPropertyCostList',
								component: () => import('../views/Master/Property/Cost/List.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '缴费记录',
								}
							},
							//缴费
							{
								path: 'pay',
								name: 'MasterPropertyCostPay',
								component: () => import('../views/Master/Property/Cost/Pay.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '缴费',
								}
							},
						]
					},

					//车位
					{
						path: 'car',
						component: () => import('../views/Layout.vue'),
						children: [
							//车位申请
							{
								path: 'apply',
								name: 'MasterPropertyCar',
								component: () => import('../views/Master/Property/Car/Apply.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '物业缴费主页',
								}
							},
							//车位续费
							{
								path: 'pay',
								name: 'MasterPropertyCarPay',
								component: () => import('../views/Master/Property/Car/Pay.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '车位续费',
								}
							},
						]
					},

				],
			},


			//考勤
			{
				path: 'attendance',
				component: () => import('../views/Layout.vue'),
				children: [
					//异地打卡
					{
						path: 'sign',
						name: 'MasterAttendanceSign',
						component: () => import('../views/Master/Attendance/Sign.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '异地打卡',
						}
					},
					//考勤记录
					{
						path: 'list',
						name: 'MasterAttendanceList',
						component: () => import('../views/Master/Attendance/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '考勤记录',
						}
					},
					//考勤补卡申请详情
					{
						path: 'info',
						name: 'MasterAttendanceInfo',
						component: () => import('../views/Master/Attendance/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '考勤补卡申请详情',
						}
					},
					//考勤补卡申请
					{
						path: 'apply',
						name: 'MasterAttendanceApply',
						component: () => import('../views/Master/Attendance/Apply.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '考勤补卡申请',
						}
					},
					//考勤补卡申请审核列表
					{
						path: 'verifyList',
						name: 'MasterAttendanceVerifyList',
						component: () => import('../views/Master/Attendance/VerifyList.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '考勤补卡申请审核列表',
						}
					},
					//请假申请审核列表
					{
						path: 'verifyLeaveList',
						name: 'MasterAttendanceVerifyLeaveList',
						component: () => import('../views/Master/Attendance/VerifyLeaveList.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '请假申请审核列表',
						}
					},
					//请假记录
					{
						path: 'leaveList',
						name: 'MasterAttendanceLeaveList',
						component: () => import('../views/Master/Attendance/LeaveList.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '请假记录',
						}
					},
					//请假详情
					{
						path: 'leaveInfo',
						name: 'MasterAttendanceLeaveInfo',
						component: () => import('../views/Master/Attendance/LeaveInfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '请假详情',
						}
					},
					//请假提交
					{
						path: 'leaveForm',
						name: 'MasterAttendanceLeaveForm',
						component: () => import('../views/Master/Attendance/LeaveForm.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '请假提交',
						}
					},
				]
			},

			//货物品
			{
				path: 'goods',
				component: () => import('../views/Layout.vue'),
				children: [
					//携出申请列表
					{
						path: 'applyList',
						name: 'MasterGoodsApplyList',
						component: () => import('../views/Master/Goods/ApplyList.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携出申请列表',
						}
					},
					//携出申请详情
					{
						path: 'applyInfo',
						name: 'MasterGoodsApplyInfo',
						component: () => import('../views/Master/Goods/ApplyInfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携出申请详情',
						}
					},
					//携出申请
					{
						path: 'apply',
						name: 'MasterGoodsApply',
						component: () => import('../views/Master/Goods/Apply.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携出申请',
						}
					},
					//携出审核列表
					{
						path: 'verifyList',
						name: 'MasterGoodsVerifyList',
						component: () => import('../views/Master/Goods/VerifyList.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携出审核列表',
						}
					},
					//携出审核详情
					{
						path: 'verifyInfo',
						name: 'MasterGoodsVerifyInfo',
						component: () => import('../views/Master/Goods/VerifyInfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携出审核详情',
						}
					},
				]
			},

			//健康
			{
				path: 'health',
				component: () => import('../views/Layout.vue'),
				children: [
					//疫情上报
					{
						path: 'report',
						name: 'MasterHealthReport',
						component: () => import('../views/Master/Health/Report.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '疫情上报',
						}
					},
				],
			}

		],
	},
]

export default routesMaster
