import Vue from 'vue'
import VueRouter from 'vue-router'

if (!window.VueRouter) Vue.use(VueRouter)

const routes = [
	//选择场景
	{
		path: '/',
		name: 'Home',
		component: () => import('../views/Home.vue'),
		meta: {
			title: '首页',
		}
	},
	//登录
	{
		path: '/login',
		name: 'Login',
		component: () => import('../views/Login.vue'),
		meta: {
			title: '登录',
		}
	},
	//上传照片
	{
		path: '/uploadPhoto',
		name: 'UploadPhoto',
		component: () => import('../views/UploadPhoto.vue'),
		meta: {
			title: '上传照片',
		}
	},
	//选择身份
	{
		path: '/role',
		name: 'Role',
		component: () => import('../views/Role.vue'),
		meta: {
			title: '选择身份',
		}
	},
]

const router = new VueRouter({
	//base: process.env.BASE_URL,
	routes
})

export default router
