import * as types from './mutation-types'
import {
	setOpenId,
	setToken,
	setPersonData,
	setCompanyData,
	setVisterScene
} from '../utils/storage'

var storage_prefix = process.env.VUE_APP_LOCAL_STORAGE_PREFIX;

const mutations = {
	[types.SET_WEIXIN_OPENID](state, openid) {
		setOpenId(openid)
		state.weixin_openid = openid
	},

	[types.SET_TOKEN](state, data) {
		setToken(data)
		state.token = data
	},

	[types.SET_PERSON_DATA](state, data) {
		setPersonData(storage_prefix, data)
		state.person_data = data
	},

	[types.SET_COMPANY_DATA](state, data) {
		setCompanyData(storage_prefix, data)
		state.company_data = data
	},

	[types.SET_VISTER_SCENE](state, data) {
		setVisterScene(storage_prefix, data)
		state.vister_scene = data
	},

	[types.SET_ADD_PERSON_DATA](state, data) {
		state.add_person_data = data
	},
}

export default mutations
